import 'package:json_annotation/json_annotation.dart';

part 'ranking.g.dart';

@JsonSerializable()
class Ranking {
  Ranking();

  @JsonKey(name: 'document')
  String cpf;
  @JsonKey(name: 'role')
  String position;
  @JsonKey(name: 'subsidiary')
  int subsidiary;
  @JsonKey(name: 'registration')
  int enrollment;
  @JsonKey(name: 'name')
  String name;
  @JsonKey(name: 'status')
  String status;
  @JsonKey(name: 'total')
  double total = 0;
  @JsonKey(name: 'image')
  String image;
  @JsonKey(ignore: true)
  int ranking;

  factory Ranking.fromJson(Map<String, dynamic> json) =>
      _$RankingFromJson(json);

  Map<String, dynamic> toJson() => _$RankingToJson(this);
}
