import 'package:lori_sdk/data/database/productDaoStub.dart'
// ignore: uri_does_not_exist // this will work on mobile but will not work on web
    if (dart.library.io) 'package:lori_sdk/data/database/mobile/mobileProductDao.dart'
// ignore: uri_does_not_exist // this will work on web but will not work on mobile
    if (dart.library.html) 'package:lori_sdk/data/database/web/webProductDao.dart';
import 'package:lori_sdk/data/models/product/product.dart';

abstract class ProductDao {
  Future open() async {}

  Future<void> insertOrUpdate(Product product) async {}

  Future<void> insert(Product product) async {}

  Future<void> update(Product product) async {}

  // ignore: missing_return
  Future<List<Product>> get() async {}

  Future<void> delete() async {}

  factory ProductDao() => getProductDao();
}
