import 'package:lori_sdk/data/database/userDaoStub.dart'
// ignore: uri_does_not_exist // this will work on mobile but will not work on web
    if (dart.library.io) 'package:lori_sdk/data/database/mobile/mobileUserDao.dart'
// ignore: uri_does_not_exist // this will work on web but will not work on mobile
    if (dart.library.html) 'package:lori_sdk/data/database/web/webUserDao.dart';
import 'package:lori_sdk/data/models/user.dart';

abstract class UserDao {
  Future open() async {}

  Future<void> insertOrUpdate(User user) async {}

  Future<void> insert(User user) async {}

  Future<void> update(User user) async {}

  // ignore: missing_return
  Future<User> get() async {}

  Future<void> delete() async {}

  factory UserDao() => getUserDao();
}
